<?php

/***************************************************************************

 m_userdatamove.php
 -------------------
 copyright : (C) 2002-2003 The ezContents Development Team

 ***************************************************************************/

/***************************************************************************
 The ezContents Development Team offers no warranties on this script.
 The owner/licensee of the script is solely responsible for any problems
 caused by installation of the script or use of the script.

 All copyright notices regarding ezContents must remain intact on the
 scripts and in the HTML for the scripts.

 For more info on ezContents,
 visit http://www.ezcontents.org/

/***************************************************************************

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the License which can be found within the
 *   zipped package.
 *
 ***************************************************************************/

include_once ("rootdatapath.php");
require_once ($GLOBALS["rootdp"]."include/config.php");
require_once ($GLOBALS["rootdp"]."include/db.php");
require_once ($GLOBALS["rootdp"]."include/session.php");
require_once ($GLOBALS["rootdp"]."include/settings.php");
include ($GLOBALS["rootdp"]."include/access.php");
include ($GLOBALS["rootdp"]."include/functions.php");


$GLOBALS["form"] = 'userdata';
$validaccess = VerifyAdminLogin();


if ($GLOBALS["canedit"] == True) {
   ShuffleUserdata();
   Header("Location: ".BuildLink('m_userdata.php')."&page=".$HTTP_GET_VARS["page"]."&sort=".$HTTP_GET_VARS["sort"]);
} else {
   Header("Location: ".BuildLink('adminlogin.php'));
}


function ShuffleUserdata()
{
   global $HTTP_GET_VARS;

   // get userdataorderid for the userdata element that we want to move....
   $strQuery = "SELECT userdataorderid FROM ".$GLOBALS["eztbUserdata"]." WHERE userdataname='".$HTTP_GET_VARS["UserdataName"]."'";
   $fromresult = dbRetrieve($strQuery,true,0,1);
   while ($rs = dbFetch($fromresult)) {
      $userdataorderid = $rs["userdataorderid"];

      // get userdataorderid for the previous or next userdata element in the list
      $newuserdataorderid = '';
      if ($HTTP_GET_VARS["direction"] == 'up') {
         $strQuery = "SELECT userdataname,userdataorderid FROM ".$GLOBALS["eztbUserdata"]." WHERE userdataorderid<'".$userdataorderid."' ORDER BY userdataorderid DESC";
      } else {
         $strQuery = "SELECT userdataname,userdataorderid FROM ".$GLOBALS["eztbUserdata"]." WHERE userdataorderid>'".$userdataorderid."' ORDER BY userdataorderid";
      }
      $toresult = dbRetrieve($strQuery,true,0,1);
      while ($rs = dbFetch($toresult)) {
         $newuserdataname    = $rs["userdataname"];
         $newuserdataorderid = $rs["userdataorderid"];
      }
      dbFreeResult($toresult);

      // Swap the two, as long as there was a next or previous record to swap with
      if ($newuserdataorderid != '') {
         $strQuery = "UPDATE ".$GLOBALS["eztbUserdata"]." SET userdataorderid='".$userdataorderid."' WHERE userdataname='".$newuserdataname."'";
         $result = dbExecute($strQuery,true);
         $strQuery = "UPDATE ".$GLOBALS["eztbUserdata"]." SET userdataorderid='".$newuserdataorderid."' WHERE userdataname='".$HTTP_GET_VARS["UserdataName"]."'";
         $result = dbExecute($strQuery,true);
      }
   }
   dbFreeResult($fromresult);
   dbCommit();

} // function ShuffleUserdata()

?>

